%define name    denemo
%define version 0.7.3
%define subrel 1
%define beta beta2
%define release %mkrel -c beta2 %subrel

Summary: 	WYSIWYG musical score editor and frontend for Lilypond
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}%{beta}.tar.bz2
Patch0:		denemo-0.7.3-gettext.patch.bz2
Patch1:		denemo-0.7.3-plugin-option.patch.bz2
URL:     	http://%{name}.sourceforge.net/
License: 	GPL
Group:   	Sound
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: 	lilypond
BuildRequires:	gtk2-devel
BuildRequires:	libxml2-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	automake1.8
#BuildRequires:	gettext

%description
Denemo is the GNU graphical musical score editor, and serves as a frontend
to Lilypond. Besides lilypond, it can also export music into ABC format.
as well as handling Csound score files playback and MIDI playback.

%prep
%setup -q -n %{name}-%{version}%{beta}
%patch0 -p1 -b .gettext
%patch1 -p1 -b .plugin

# regen everything because of patch
ACLOCAL=aclocal-1.8 AUTOMAKE=automake-1.8 autoreconf --force --install

%build
%configure2_5x \
	--sysconfdir=%{_sysconfdir}/%{name} \
	--enable-gtk2 \
	--with-plugins=analysis

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -fr $RPM_BUILD_ROOT/%_includedir
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/*.{a,la}

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
 command="%{name}" \
 icon="sound_section.png" \
 needs="x11" \
 title="Denemo" \
 longtitle="Musical score editor" \
 section="Multimedia/Sound"
EOF

# remove unneeded files

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog DESIGN* GOALS NEWS README* TODO
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_menudir}/%{name}

%changelog
* Sat Apr 16 2005 Abel Cheung <deaddog@mandrake.org> 0.7.3-0.beta2.1mdk
- 0.7.3 beta 2
- Drop P0 (upstream)
- New P0: Fix gettext m4 macros call within configure.in

* Fri Mar 25 2005 Abel Cheung <deaddog@mandrake.org> 0.7.3-0.beta1.1mdk
- 0.7.3 beta 1
- P0: move config files to folder under /etc
- P1: fix plugin checking in configure script
- Enable analysis plugin
- other keymap files are config template, not really config

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.7.2a-1mdk
- 0.7.2a

* Wed May 21 2003 Austin Acton <aacton@yorku.ca> 0.7.1-1mdk
- 0.7.1
- clenup spec
- add menu entry
- findlang

* Mon Jul 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.5-3mdk
- rebuild

* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.5-2mdk
- rebuild

* Thu Nov 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.5-1mdk
- updated to 0.5.5
- used srpm from rufus t firefly <rufus.t.firefly@linux-mandrake.com>
- macros

* Tue Aug 05 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v0.5.4 (initial packaging)
  - Mandrake-ization
